PLaSK library

Loading...
Searching...
No Matches
Macros | Functions
camos.c File Reference
`#include <math.h>`
Include dependency graph for camos.c:

Go to the source code of this file.

## Macros
#define | min(a, b) ((a) <= (b) ? (a) : (b))
#define | max(a, b) ((a) >= (b) ? (a) : (b))

## Functions
double | d_sign (double *a, double *b)
double | dgamln (double *z__, long *ierr)
int | dsclmr (void)
int | fdump (void)
double | azabs (double *zr, double *zi)
int | zacai (double *zr, double *zi, double *fnu, long *kode, long *mr, long *n, double *yr, double *yi, long *nz, double *rl, double *tol, double *elim, double *alim)
int | zacon (double *zr, double *zi, double *fnu, long *kode, long *mr, long *n, double *yr, double *yi, long *nz, double *rl, double *fnul, double *tol, double *elim, double *alim)
int | zairy (double *zr, double *zi, long *id, long *kode, double *air, double *aii, long *nz, long *ierr)
int | zasyi (double *zr, double *zi, double *fnu, long *kode, long *n, double *yr, double *yi, long *nz, double *rl, double *tol, double *elim, double *alim)
int | zbesh (double *zr, double *zi, double *fnu, long *kode, long *m, long *n, double *cyr, double *cyi, long *nz, long *ierr)
int | zbesi (double *zr, double *zi, double *fnu, long *kode, long *n, double *cyr, double *cyi, long *nz, long *ierr)
int | zbesj (double *zr, double *zi, double *fnu, long *kode, long *n, double *cyr, double *cyi, long *nz, long *ierr)
int | zbesk (double *zr, double *zi, double *fnu, long *kode, long *n, double *cyr, double *cyi, long *nz, long *ierr)
int | zbesy (double *zr, double *zi, double *fnu, long *kode, long *n, double *cyr, double *cyi, long *nz, double *cwrkr, double *cwrki, long *ierr)
int | zbinu (double *zr, double *zi, double *fnu, long *kode, long *n, double *cyr, double *cyi, long *nz, double *rl, double *fnul, double *tol, double *elim, double *alim)
int | zbiry (double *zr, double *zi, long *id, long *kode, double *bir, double *bii, long *ierr)
int | zbknu (double *zr, double *zi, double *fnu, long *kode, long *n, double *yr, double *yi, long *nz, double *tol, double *elim, double *alim)
int | zbuni (double *zr, double *zi, double *fnu, long *kode, long *n, double *yr, double *yi, long *nz, long *nui, long *nlast, double *fnul, double *tol, double *elim, double *alim)
int | zbunk (double *zr, double *zi, double *fnu, long *kode, long *mr, long *n, double *yr, double *yi, long *nz, double *tol, double *elim, double *alim)
int | zdiv (double *ar, double *ai, double *br, double *bi, double *cr, double *ci)
int | azexp (double *ar, double *ai, double *br, double *bi)
int | zkscl (double *zrr, double *zri, double *fnu, long *n, double *yr, double *yi, long *nz, double *rzr, double *rzi, double *ascle, double *tol, double *elim)
int | azlog (double *ar, double *ai, double *br, double *bi, long *ierr)
int | zmlri (double *zr, double *zi, double *fnu, long *kode, long *n, double *yr, double *yi, long *nz, double *tol)
int | zmlt (double *ar, double *ai, double *br, double *bi, double *cr, double *ci)
int | zrati (double *zr, double *zi, double *fnu, long *n, double *cyr, double *cyi, double *tol)
int | zs1s2 (double *zrr, double *zri, double *s1r, double *s1i, double *s2r, double *s2i, long *nz, double *ascle, double *alim, long *iuf)
int | zseri (double *zr, double *zi, double *fnu, long *kode, long *n, double *yr, double *yi, long *nz, double *tol, double *elim, double *alim)
int | zshch (double *zr, double *zi, double *cshr, double *cshi, double *cchr, double *cchi)
int | azsqrt (double *ar, double *ai, double *br, double *bi)
int | zuchk (double *yr, double *yi, long *nz, double *ascle, double *tol)
int | zunhj (double *zr, double *zi, double *fnu, long *ipmtr, double *tol, double *phir, double *phii, double *argr, double *argi, double *zeta1r, double *zeta1i, double *zeta2r, double *zeta2i, double *asumr, double *asumi, double *bsumr, double *bsumi)
int | zuni1 (double *zr, double *zi, double *fnu, long *kode, long *n, double *yr, double *yi, long *nz, long *nlast, double *fnul, double *tol, double *elim, double *alim)
int | zuni2 (double *zr, double *zi, double *fnu, long *kode, long *n, double *yr, double *yi, long *nz, long *nlast, double *fnul, double *tol, double *elim, double *alim)
int | zunik (double *zrr, double *zri, double *fnu, long *ikflg, long *ipmtr, double *tol, long *init, double *phir, double *phii, double *zeta1r, double *zeta1i, double *zeta2r, double *zeta2i, double *sumr, double *sumi, double *cwrkr, double *cwrki)
int | zunk1 (double *zr, double *zi, double *fnu, long *kode, long *mr, long *n, double *yr, double *yi, long *nz, double *tol, double *elim, double *alim)
int | zunk2 (double *zr, double *zi, double *fnu, long *kode, long *mr, long *n, double *yr, double *yi, long *nz, double *tol, double *elim, double *alim)
int | zuoik (double *zr, double *zi, double *fnu, long *kode, long *ikflg, long *n, double *yr, double *yi, long *nuf, double *tol, double *elim, double *alim)
int | zwrsk (double *zrr, double *zri, double *fnu, long *kode, long *n, double *yr, double *yi, long *nz, double *cwr, double *cwi, double *tol, double *elim, double *alim)

## Macro Definition Documentation

## ◆ max

#define max | ( |  | a,
|  |  | b
| ) |  | ((a) >= (b) ? (a) : (b))

Definition at line 16 of file camos.c.

## ◆ min

#define min | ( |  | a,
|  |  | b
| ) |  | ((a) <= (b) ? (a) : (b))

Definition at line 15 of file camos.c.

## Function Documentation

## ◆ azabs()

double azabs | ( | double * | zr,
|  | double * | zi
| ) |  |

Definition at line 271 of file camos.c.

## ◆ azexp()

int azexp | ( | double * | ar,
|  | double * | ai,
|  | double * | br,
|  | double * | bi
| ) |  |

Definition at line 5038 of file camos.c.

## ◆ azlog()

int azlog | ( | double * | ar,
|  | double * | ai,
|  | double * | br,
|  | double * | bi,
|  | long * | ierr
| ) |  |

Definition at line 5245 of file camos.c.

## ◆ azsqrt()

int azsqrt | ( | double * | ar,
|  | double * | ai,
|  | double * | br,
|  | double * | bi
| ) |  |

Definition at line 6186 of file camos.c.

## ◆ d_sign()

double d_sign | ( | double * | a,
|  | double * | b
| ) |  |

Definition at line 8 of file camos.c.

## ◆ dgamln()

double dgamln | ( | double * | z__,
|  | long * | ierr
| ) |  |

Definition at line 32 of file camos.c.

## ◆ dsclmr()

int dsclmr | ( | void |  | ) |

Definition at line 221 of file camos.c.

## ◆ fdump()

int fdump | ( | void |  | ) |

Definition at line 244 of file camos.c.

## ◆ zacai()

int zacai | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | kode,
|  | long * | mr,
|  | long * | n,
|  | double * | yr,
|  | double * | yi,
|  | long * | nz,
|  | double * | rl,
|  | double * | tol,
|  | double * | elim,
|  | double * | alim
| ) |  |

Definition at line 316 of file camos.c.

## ◆ zacon()

int zacon | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | kode,
|  | long * | mr,
|  | long * | n,
|  | double * | yr,
|  | double * | yi,
|  | long * | nz,
|  | double * | rl,
|  | double * | fnul,
|  | double * | tol,
|  | double * | elim,
|  | double * | alim
| ) |  |

Definition at line 476 of file camos.c.

## ◆ zairy()

int zairy | ( | double * | zr,
|  | double * | zi,
|  | long * | id,
|  | long * | kode,
|  | double * | air,
|  | double * | aii,
|  | long * | nz,
|  | long * | ierr
| ) |  |

Definition at line 752 of file camos.c.

## ◆ zasyi()

int zasyi | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | kode,
|  | long * | n,
|  | double * | yr,
|  | double * | yi,
|  | long * | nz,
|  | double * | rl,
|  | double * | tol,
|  | double * | elim,
|  | double * | alim
| ) |  |

Definition at line 1258 of file camos.c.

## ◆ zbesh()

int zbesh | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | kode,
|  | long * | m,
|  | long * | n,
|  | double * | cyr,
|  | double * | cyi,
|  | long * | nz,
|  | long * | ierr
| ) |  |

Definition at line 1497 of file camos.c.

## ◆ zbesi()

int zbesi | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | kode,
|  | long * | n,
|  | double * | cyr,
|  | double * | cyi,
|  | long * | nz,
|  | long * | ierr
| ) |  |

Definition at line 1958 of file camos.c.

## ◆ zbesj()

int zbesj | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | kode,
|  | long * | n,
|  | double * | cyr,
|  | double * | cyi,
|  | long * | nz,
|  | long * | ierr
| ) |  |

Definition at line 2301 of file camos.c.

## ◆ zbesk()

int zbesk | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | kode,
|  | long * | n,
|  | double * | cyr,
|  | double * | cyi,
|  | long * | nz,
|  | long * | ierr
| ) |  |

Definition at line 2639 of file camos.c.

## ◆ zbesy()

int zbesy | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | kode,
|  | long * | n,
|  | double * | cyr,
|  | double * | cyi,
|  | long * | nz,
|  | double * | cwrkr,
|  | double * | cwrki,
|  | long * | ierr
| ) |  |

Definition at line 3018 of file camos.c.

## ◆ zbinu()

int zbinu | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | kode,
|  | long * | n,
|  | double * | cyr,
|  | double * | cyi,
|  | long * | nz,
|  | double * | rl,
|  | double * | fnul,
|  | double * | tol,
|  | double * | elim,
|  | double * | alim
| ) |  |

Definition at line 3325 of file camos.c.

## ◆ zbiry()

int zbiry | ( | double * | zr,
|  | double * | zi,
|  | long * | id,
|  | long * | kode,
|  | double * | bir,
|  | double * | bii,
|  | long * | ierr
| ) |  |

Definition at line 3532 of file camos.c.

## ◆ zbknu()

int zbknu | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | kode,
|  | long * | n,
|  | double * | yr,
|  | double * | yi,
|  | long * | nz,
|  | double * | tol,
|  | double * | elim,
|  | double * | alim
| ) |  |

Definition at line 3982 of file camos.c.

## ◆ zbuni()

int zbuni | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | kode,
|  | long * | n,
|  | double * | yr,
|  | double * | yi,
|  | long * | nz,
|  | long * | nui,
|  | long * | nlast,
|  | double * | fnul,
|  | double * | tol,
|  | double * | elim,
|  | double * | alim
| ) |  |

Definition at line 4725 of file camos.c.

## ◆ zbunk()

int zbunk | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | kode,
|  | long * | mr,
|  | long * | n,
|  | double * | yr,
|  | double * | yi,
|  | long * | nz,
|  | double * | tol,
|  | double * | elim,
|  | double * | alim
| ) |  |

Definition at line 4961 of file camos.c.

## ◆ zdiv()

int zdiv | ( | double * | ar,
|  | double * | ai,
|  | double * | br,
|  | double * | bi,
|  | double * | cr,
|  | double * | ci
| ) |  |

Definition at line 5015 of file camos.c.

## ◆ zkscl()

int zkscl | ( | double * | zrr,
|  | double * | zri,
|  | double * | fnu,
|  | long * | n,
|  | double * | yr,
|  | double * | yi,
|  | long * | nz,
|  | double * | rzr,
|  | double * | rzi,
|  | double * | ascle,
|  | double * | tol,
|  | double * | elim
| ) |  |

Definition at line 5062 of file camos.c.

## ◆ zmlri()

int zmlri | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | kode,
|  | long * | n,
|  | double * | yr,
|  | double * | yi,
|  | long * | nz,
|  | double * | tol
| ) |  |

Definition at line 5319 of file camos.c.

## ◆ zmlt()

int zmlt | ( | double * | ar,
|  | double * | ai,
|  | double * | br,
|  | double * | bi,
|  | double * | cr,
|  | double * | ci
| ) |  |

Definition at line 5594 of file camos.c.

## ◆ zrati()

int zrati | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | n,
|  | double * | cyr,
|  | double * | cyi,
|  | double * | tol
| ) |  |

Definition at line 5613 of file camos.c.

## ◆ zs1s2()

int zs1s2 | ( | double * | zrr,
|  | double * | zri,
|  | double * | s1r,
|  | double * | s1i,
|  | double * | s2r,
|  | double * | s2i,
|  | long * | nz,
|  | double * | ascle,
|  | double * | alim,
|  | long * | iuf
| ) |  |

Definition at line 5795 of file camos.c.

## ◆ zseri()

int zseri | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | kode,
|  | long * | n,
|  | double * | yr,
|  | double * | yi,
|  | long * | nz,
|  | double * | tol,
|  | double * | elim,
|  | double * | alim
| ) |  |

Definition at line 5870 of file camos.c.

## ◆ zshch()

int zshch | ( | double * | zr,
|  | double * | zi,
|  | double * | cshr,
|  | double * | cshi,
|  | double * | cchr,
|  | double * | cchi
| ) |  |

Definition at line 6157 of file camos.c.

## ◆ zuchk()

int zuchk | ( | double * | yr,
|  | double * | yi,
|  | long * | nz,
|  | double * | ascle,
|  | double * | tol
| ) |  |

Definition at line 6265 of file camos.c.

## ◆ zunhj()

int zunhj | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | ipmtr,
|  | double * | tol,
|  | double * | phir,
|  | double * | phii,
|  | double * | argr,
|  | double * | argi,
|  | double * | zeta1r,
|  | double * | zeta1i,
|  | double * | zeta2r,
|  | double * | zeta2i,
|  | double * | asumr,
|  | double * | asumi,
|  | double * | bsumr,
|  | double * | bsumi
| ) |  |

Definition at line 6300 of file camos.c.

## ◆ zuni1()

int zuni1 | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | kode,
|  | long * | n,
|  | double * | yr,
|  | double * | yi,
|  | long * | nz,
|  | long * | nlast,
|  | double * | fnul,
|  | double * | tol,
|  | double * | elim,
|  | double * | alim
| ) |  |

Definition at line 7026 of file camos.c.

## ◆ zuni2()

int zuni2 | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | kode,
|  | long * | n,
|  | double * | yr,
|  | double * | yi,
|  | long * | nz,
|  | long * | nlast,
|  | double * | fnul,
|  | double * | tol,
|  | double * | elim,
|  | double * | alim
| ) |  |

Definition at line 7323 of file camos.c.

## ◆ zunik()

int zunik | ( | double * | zrr,
|  | double * | zri,
|  | double * | fnu,
|  | long * | ikflg,
|  | long * | ipmtr,
|  | double * | tol,
|  | long * | init,
|  | double * | phir,
|  | double * | phii,
|  | double * | zeta1r,
|  | double * | zeta1i,
|  | double * | zeta2r,
|  | double * | zeta2i,
|  | double * | sumr,
|  | double * | sumi,
|  | double * | cwrkr,
|  | double * | cwrki
| ) |  |

Definition at line 7696 of file camos.c.

## ◆ zunk1()

int zunk1 | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | kode,
|  | long * | mr,
|  | long * | n,
|  | double * | yr,
|  | double * | yi,
|  | long * | nz,
|  | double * | tol,
|  | double * | elim,
|  | double * | alim
| ) |  |

Definition at line 7921 of file camos.c.

## ◆ zunk2()

int zunk2 | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | kode,
|  | long * | mr,
|  | long * | n,
|  | double * | yr,
|  | double * | yi,
|  | long * | nz,
|  | double * | tol,
|  | double * | elim,
|  | double * | alim
| ) |  |

Definition at line 8511 of file camos.c.

## ◆ zuoik()

int zuoik | ( | double * | zr,
|  | double * | zi,
|  | double * | fnu,
|  | long * | kode,
|  | long * | ikflg,
|  | long * | n,
|  | double * | yr,
|  | double * | yi,
|  | long * | nuf,
|  | double * | tol,
|  | double * | elim,
|  | double * | alim
| ) |  |

Definition at line 9193 of file camos.c.

## ◆ zwrsk()

int zwrsk | ( | double * | zrr,
|  | double * | zri,
|  | double * | fnu,
|  | long * | kode,
|  | long * | n,
|  | double * | yr,
|  | double * | yi,
|  | long * | nz,
|  | double * | cwr,
|  | double * | cwi,
|  | double * | tol,
|  | double * | elim,
|  | double * | alim
| ) |  |

Definition at line 9502 of file camos.c.